Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455933 - CGI.pm complains about "Use of uninitialized value $filename in substitution"
Summary: CGI.pm complains about "Use of uninitialized value $filename in substitution"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-18 21:02 UTC by Ben Webb
Modified: 2009-06-10 06:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 06:47:34 UTC


Attachments (Terms of Use)

Description Ben Webb 2008-07-18 21:02:47 UTC
Description of problem:
Any CGI script running on a Fedora 9 box that processes form information dumps a
"Use of uninitialized value $filename in substitution" warning to Apache's
error_log for each form variable. This is a known bug in CGI.pm 3.37:
http://rt.cpan.org/Public/Bug/Display.html?id=36340
http://rt.cpan.org/Public/Bug/Display.html?id=34551 

It can be fixed either by updating to 3.38 or by applying the one-line patch
found at the second URL.

Version-Release number of selected component (if applicable):
perl-5.10.0-30.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Load a CGI script that processes form information.
  
Actual results:
Apache's error_log reports something similar to that below for each form variable:
Fri Jul 18 13:40:20 2008] [error] [client aaa.bbb.ccc.ddd] [Fri Jul 18 13:40:20
2008] my.cgi: Use of uninitialized value $filename in substitution (s///) at
(eval 6) line 23., referer: http://example.org/myform.html

Expected results:
No warnings in error_log.

Comment 1 Marcela Mašláňová 2008-07-21 08:29:01 UTC
I prefer update.

Comment 2 Fedora Update System 2008-07-21 11:29:05 UTC
perl-5.10.0-31.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-07-23 07:16:44 UTC
perl-5.10.0-31.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6631

Comment 4 Bug Zapper 2009-06-10 02:08:03 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.